package ru.yandex.webmaster3.storage.ytimport;

import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * @author avhaliullin
 */
public enum ImportPriority implements IntEnum {
    ONLINE(0),
    OFFLINE(1),
    ;

    int value;

    ImportPriority(int value) {
        this.value = value;
    }

    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<ImportPriority> R = IntEnumResolver.r(ImportPriority.class);
}
